Docs
Search docs...⌘K

Add Keywords Tags

API only
PUT/v3/management/project-keywords-tags

Requests to this endpoint are free and do not consume any API units.

Request body

update_modestring

add appends tags to existing ones; replace overwrites all existing tags entirely.

Allowed values:addreplace
Default:add
tagsarray<string>Required

A list of tags to add to the keywords. Empty string is not a valid tag.

keywordsarray<object>Required

A list of keywords to update. You can use the 'Locations and languages' endpoint to get country codes, language codes and location IDs.

keywordstringrequired

The keyword to update.

countrystring

The country code.

languagestring

The language code.

location_idinteger

The location ID.

project_idintegerRequired

The unique identifier of the project. You can find it in the URL of your Rank Tracker project in Ahrefs: https://app.ahrefs.com/rank-tracker/overview/#project_id#

outputstring

The output format.

Allowed values:jsonphp

Responses

keywordsarray<object>
keywordstring

The keyword added to the project.

languagestring

The name of the language assigned to a given keyword.

language_codestring

The code of the language assigned to a given keyword.

locationstring

The name of the location assigned to a given keyword.

location_idinteger

The ID of the location assigned to a given keyword.

tagsarray<string>

A list of tags assigned to a given keyword.